"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var EmailerModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailerModule = void 0;
const common_1 = require("@nestjs/common");
const emailer_controller_1 = require("./emailer.controller");
const emailer_service_1 = require("./emailer.service");
let EmailerModule = EmailerModule_1 = class EmailerModule {
    static register(options) {
        return {
            module: EmailerModule_1,
            controllers: [emailer_controller_1.EmailerController],
            providers: [
                {
                    provide: 'CONFIG_OPTIONS',
                    useValue: options,
                },
                emailer_service_1.EmailerService,
            ],
            exports: [emailer_service_1.EmailerService],
        };
    }
    static registerAsync(options) {
        return {
            module: EmailerModule_1,
            controllers: [emailer_controller_1.EmailerController],
            providers: [
                emailer_service_1.EmailerService,
                ...this.createConfigProviders(options),
            ],
            exports: [emailer_service_1.EmailerService],
            global: true
        };
    }
    static createConfigProviders(options) {
        if (options.useFactory) {
            return [
                {
                    provide: 'CONFIG_OPTIONS',
                    useFactory: options.useFactory,
                    inject: options.inject || [],
                }
            ];
        }
        return [
            {
                provide: 'CONFIG_OPTIONS',
                useFactory: async (optionsFactory) => await optionsFactory.createEmailerConfig(),
                inject: [options.useExisting || options.useClass],
            }
        ];
    }
};
EmailerModule = EmailerModule_1 = __decorate([
    (0, common_1.Module)({})
], EmailerModule);
exports.EmailerModule = EmailerModule;
//# sourceMappingURL=emailer.module.js.map