import { IGlobalConfiguration } from '../models-mongo/global-configuration.model';
import { GlobalConfigurationDto } from './dto/global-configuration.dto';
import { GlobalConfigurationService } from './global-configuration.service';
export declare class GlobalConfigurationController {
    private readonly globalConfigurationService;
    constructor(globalConfigurationService: GlobalConfigurationService);
    getGlobalConfiguration(): Promise<IGlobalConfiguration[]>;
    getValue(key: string): Promise<IGlobalConfiguration>;
    createGlobalConfig(newConfiguration: GlobalConfigurationDto): Promise<IGlobalConfiguration>;
    updateGlobalConfiguration(newConfiguration: GlobalConfigurationDto[]): Promise<IGlobalConfiguration[]>;
    deleteGlobalConfig(key: string): Promise<boolean>;
}
