import { Model } from 'mongoose';
import { IGlobalConfiguration } from '../models-mongo/global-configuration.model';
import { GlobalConfigurationDto } from './dto/global-configuration.dto';
export declare class GlobalConfigurationService {
    private GlobalConfigurationModel;
    constructor(GlobalConfigurationModel: Model<IGlobalConfiguration>);
    getGlobalConfiguration(): Promise<(IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>)[]>;
    getValue(key: string): Promise<IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>>;
    createGlobalConfig(newConfig: GlobalConfigurationDto): Promise<IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>>;
    updateGlobalConfiguration(newConfiguration: GlobalConfigurationDto[]): Promise<(IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>)[]>;
    deleteGlobalConfig(key: string): Promise<boolean>;
    findConfigurationByKey(key: string): import("mongoose").Query<IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>, IGlobalConfiguration & import("mongoose").Document<any, any, IGlobalConfiguration>, {}, IGlobalConfiguration>;
}
