"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var MicroserviceConnectionModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicroserviceConnectionModule = void 0;
const microservice_connection_service_1 = require("./microservice-connection.service");
const common_1 = require("@nestjs/common");
let MicroserviceConnectionModule = MicroserviceConnectionModule_1 = class MicroserviceConnectionModule {
    static register(options) {
        return {
            module: MicroserviceConnectionModule_1,
            providers: [
                {
                    provide: 'CONFIG_OPTIONS',
                    useValue: options,
                },
                microservice_connection_service_1.MicroserviceConnectionService,
            ],
            exports: [microservice_connection_service_1.MicroserviceConnectionService],
            global: true
        };
    }
};
MicroserviceConnectionModule = MicroserviceConnectionModule_1 = __decorate([
    (0, common_1.Module)({
        imports: [],
        controllers: [],
        providers: [
            microservice_connection_service_1.MicroserviceConnectionService
        ],
        exports: [
            microservice_connection_service_1.MicroserviceConnectionService
        ]
    })
], MicroserviceConnectionModule);
exports.MicroserviceConnectionModule = MicroserviceConnectionModule;
//# sourceMappingURL=microservice-connection.module.js.map