"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roleSchema = void 0;
const mongoose_1 = require("mongoose");
exports.roleSchema = new mongoose_1.Schema({
    name: {
        type: String,
        required: true,
        uppercase: true,
        unique: true
    },
    permissions: {
        type: [mongoose_1.Types.ObjectId],
        ref: 'Permission',
        required: true
    },
    typeObj: {
        type: String,
        required: false,
        default: 'Role'
    }
}, {
    timestamps: true,
});
//# sourceMappingURL=role.model.js.map