import { PaginationDto } from './../pagination/pagination.dto';
import { IPermission } from './../models-mongo/permission.model';
import { PermissionsService } from './permissions.service';
import { PermissionDto } from './dto/permission.dto';
export declare class PermissionsController {
    private PermissionsService;
    constructor(PermissionsService: PermissionsService);
    fetchAllPermissions(query: any): Promise<IPermission[] | PaginationDto>;
    createPermission(permission: PermissionDto): Promise<IPermission>;
    updatePermission(name: string, permission: PermissionDto): Promise<IPermission>;
    deletePermission(name: string): Promise<boolean>;
}
