import { RoleDto } from './dto/role.dto';
import { RolesService } from './roles.service';
import { IRole } from '../models-mongo/role.model';
import { PaginationDto } from '../pagination/pagination.dto';
export declare class RolesController {
    private rolesService;
    constructor(rolesService: RolesService);
    fetchAllRoles(query: any): Promise<IRole[] | PaginationDto>;
    createRole(role: RoleDto): Promise<IRole>;
    updateRole(name: string, role: RoleDto): Promise<IRole>;
    deleteRole(name: string): Promise<boolean>;
}
