"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var SlackModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlackModule = void 0;
const common_1 = require("@nestjs/common");
const slack_service_1 = require("./slack.service");
let SlackModule = SlackModule_1 = class SlackModule {
    static register(options) {
        return {
            module: SlackModule_1,
            providers: [
                {
                    provide: 'CONFIG_OPTIONS',
                    useValue: options,
                },
                slack_service_1.SlackService,
            ],
            exports: [slack_service_1.SlackService],
            global: true
        };
    }
    static registerAsync(options) {
        return {
            module: SlackModule_1,
            providers: [
                slack_service_1.SlackService,
                ...this.createConfigProviders(options),
            ],
            exports: [slack_service_1.SlackService],
            global: true
        };
    }
    static createConfigProviders(options) {
        if (options.useFactory) {
            return [
                {
                    provide: 'CONFIG_OPTIONS',
                    useFactory: options.useFactory,
                    inject: options.inject || [],
                }
            ];
        }
        return [
            {
                provide: 'CONFIG_OPTIONS',
                useFactory: async (optionsFactory) => await optionsFactory.createSlackConfig(),
                inject: [options.useExisting || options.useClass],
            }
        ];
    }
};
SlackModule = SlackModule_1 = __decorate([
    (0, common_1.Module)({})
], SlackModule);
exports.SlackModule = SlackModule;
//# sourceMappingURL=slack.module.js.map