/// <reference types="node" />
import { OnGatewayInit } from '@nestjs/websockets';
import { Socket } from 'dgram';
import { WebsocketConfig } from './websocket-config';
import { Server } from "socket.io";
export declare class WebsocketGateway implements OnGatewayInit {
    private options;
    constructor(options: WebsocketConfig);
    server: any;
    io: any;
    private logger;
    afterInit(server: Server): Promise<void>;
    handleDisconnect(client: Socket): void;
    handleConnection(client: Socket): Promise<void>;
    sendMessageBroadcast(message: string, data?: any): void;
}
