"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var WebsocketModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebsocketModule = void 0;
const common_1 = require("@nestjs/common");
const websocket_gateway_1 = require("./websocket.gateway");
let WebsocketModule = WebsocketModule_1 = class WebsocketModule {
    static register(options) {
        return {
            module: WebsocketModule_1,
            providers: [
                {
                    provide: 'CONFIG_OPTIONS',
                    useValue: options,
                },
                websocket_gateway_1.WebsocketGateway,
            ],
            exports: [
                websocket_gateway_1.WebsocketGateway
            ],
            global: true
        };
    }
    static registerAsync(options) {
        return {
            module: WebsocketModule_1,
            providers: [
                {
                    provide: 'CONFIG_OPTIONS',
                    useValue: options,
                },
                websocket_gateway_1.WebsocketGateway,
                ...this.createConfigProviders(options),
            ],
            exports: [
                websocket_gateway_1.WebsocketGateway
            ],
            global: true
        };
    }
    static createConfigProviders(options) {
        if (options.useFactory) {
            return [
                {
                    provide: 'CONFIG_OPTIONS',
                    useFactory: options.useFactory,
                    inject: options.inject || [],
                }
            ];
        }
        return [
            {
                provide: 'CONFIG_OPTIONS',
                useFactory: async (optionsFactory) => await optionsFactory.createWebSocketsConfig(),
                inject: [options.useExisting || options.useClass],
            }
        ];
    }
};
WebsocketModule = WebsocketModule_1 = __decorate([
    (0, common_1.Module)({
        imports: [],
        controllers: [],
        providers: [websocket_gateway_1.WebsocketGateway],
        exports: [websocket_gateway_1.WebsocketGateway],
    })
], WebsocketModule);
exports.WebsocketModule = WebsocketModule;
//# sourceMappingURL=websocket.module.js.map