import { ICompany } from '../models-mongo/company.model';
import { PaginationDto } from '../pagination/pagination.dto';
import { CompaniesService } from './companies.service';
import { CompanyDto } from './dto/company.dto';
export declare class CompaniesController {
    private companiesService;
    constructor(companiesService: CompaniesService);
    fetchAllCompanies(query: any): Promise<ICompany[] | PaginationDto>;
    createCompany(newCompany: CompanyDto): Promise<ICompany>;
    updateCompany(nif: string, company: CompanyDto): Promise<ICompany>;
    deleteCompany(nif: string): Promise<boolean>;
}
