"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExcelController = void 0;
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const excel_service_1 = require("./excel.service");
const passport_1 = require("@nestjs/passport");
const excel_dto_1 = require("./dto/excel.dto");
let ExcelController = class ExcelController {
    constructor(excelService) {
        this.excelService = excelService;
    }
    generateExcelFile(excelDto) {
        return this.excelService.generateExcelFile(excelDto);
    }
};
__decorate([
    (0, common_1.Post)('generateExcelFile'),
    (0, common_1.UseGuards)((0, passport_1.AuthGuard)()),
    (0, swagger_1.ApiBearerAuth)('JWT-auth'),
    (0, swagger_1.ApiOperation)({
        summary: 'Generate a excel file. Authguard required',
    }),
    __param(0, (0, common_1.Body)(common_1.ValidationPipe)),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [excel_dto_1.ExcelDto]),
    __metadata("design:returntype", void 0)
], ExcelController.prototype, "generateExcelFile", null);
ExcelController = __decorate([
    (0, common_1.Controller)('api/v1/excel'),
    (0, swagger_1.ApiTags)('excel'),
    __metadata("design:paramtypes", [excel_service_1.ExcelService])
], ExcelController);
exports.ExcelController = ExcelController;
//# sourceMappingURL=excel.controller.js.map