"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalConfigurationModule = void 0;
const common_1 = require("@nestjs/common");
const passport_1 = require("@nestjs/passport");
const global_configuration_model_1 = require("../models-mongo/global-configuration.model");
const mongo_db_service_1 = require("../mongo-db/mongo-db.service");
const global_configuration_controller_1 = require("./global-configuration.controller");
const global_configuration_service_1 = require("./global-configuration.service");
let GlobalConfigurationModule = class GlobalConfigurationModule {
};
GlobalConfigurationModule = __decorate([
    (0, common_1.Module)({
        imports: [passport_1.PassportModule.register({ defaultStrategy: 'jwt' })],
        controllers: [global_configuration_controller_1.GlobalConfigurationController],
        providers: [
            global_configuration_service_1.GlobalConfigurationService,
            {
                provide: 'MODEL',
                useFactory: (db) => db.getConnection().model('GlobalConfiguration', global_configuration_model_1.globalConfigurationSchema, 'global-configuration'),
                inject: [mongo_db_service_1.MongoDbService]
            },
        ],
        exports: [global_configuration_service_1.GlobalConfigurationService],
    })
], GlobalConfigurationModule);
exports.GlobalConfigurationModule = GlobalConfigurationModule;
//# sourceMappingURL=global-configuration.module.js.map