import { OnApplicationBootstrap } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { MicroserviceConnectionConfig } from './microservice-connection-config';
export declare class MicroserviceConnectionService implements OnApplicationBootstrap {
    private options;
    private client;
    constructor(options: MicroserviceConnectionConfig);
    onApplicationBootstrap(): Promise<void>;
    getClient(): ClientProxy;
    getConnectionToBackend(): Promise<void>;
}
