import { Schema } from 'mongoose';
export interface IContact {
    departament: string;
    name: string;
    phone: number;
    email: string;
}
export declare const contactSchema: Schema<IContact, import("mongoose").Model<IContact, any, any>, undefined, {}>;
export interface ICompany {
    name: string;
    nif: string;
    companyCode?: string;
    contacts?: IContact[];
    extension?: any;
    active?: boolean;
    typeObj?: string;
}
export declare const companySchema: Schema<ICompany, import("mongoose").Model<ICompany, any, any>, undefined, {}>;
