"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.globalConfigurationSchema = void 0;
const mongoose_1 = require("mongoose");
exports.globalConfigurationSchema = new mongoose_1.Schema({
    key: {
        type: String,
        required: true,
        unique: true
    },
    value: {
        type: mongoose_1.Schema.Types.Mixed
    },
    description: {
        type: String
    },
    type: {
        type: String
    },
    options: {
        type: [String],
    }
});
//# sourceMappingURL=global-configuration.model.js.map