"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OteosBackendLibModule = void 0;
const companies_module_1 = require("./companies/companies.module");
const slack_module_1 = require("./slack/slack.module");
const dummy_module_1 = require("./AADumy/dummy.module");
const sftp_module_1 = require("./sftp/sftp.module");
const pagination_module_1 = require("./pagination/pagination.module");
const global_configuration_module_1 = require("./global-configutation/global-configuration.module");
const telegram_bot_module_1 = require("./telegram-bot/telegram-bot.module");
const emailer_module_1 = require("./emailer/emailer.module");
const logger_module_1 = require("./logger/logger.module");
const auth_module_1 = require("./auth/auth.module");
const websocket_module_1 = require("./websocket/websocket.module");
const roles_module_1 = require("./roles/roles.module");
const permissions_module_1 = require("./permissions/permissions.module");
const common_1 = require("@nestjs/common");
const users_module_1 = require("./users/users.module");
const mongo_db_module_1 = require("./mongo-db/mongo-db.module");
const microservice_connection_module_1 = require("./microservice-connection/microservice-connection.module");
const excel_module_1 = require("./excel/excel.module");
let OteosBackendLibModule = class OteosBackendLibModule {
};
OteosBackendLibModule = __decorate([
    (0, common_1.Module)({
        imports: [
            dummy_module_1.DummyModule,
            mongo_db_module_1.MongoDbModule,
            websocket_module_1.WebsocketModule,
            microservice_connection_module_1.MicroserviceConnectionModule,
            emailer_module_1.EmailerModule,
            logger_module_1.LoggerModule,
            pagination_module_1.PaginationModule,
            sftp_module_1.SftpModule,
            slack_module_1.SlackModule,
            telegram_bot_module_1.TelegramBotModule,
            global_configuration_module_1.GlobalConfigurationModule,
            auth_module_1.AuthModule,
            permissions_module_1.PermissionsModule,
            roles_module_1.RolesModule,
            companies_module_1.CompaniesModule,
            users_module_1.UsersModule,
            excel_module_1.ExcelModule,
        ],
        providers: [],
        exports: [
            dummy_module_1.DummyModule,
            mongo_db_module_1.MongoDbModule,
            websocket_module_1.WebsocketModule,
            microservice_connection_module_1.MicroserviceConnectionModule,
            emailer_module_1.EmailerModule,
            logger_module_1.LoggerModule,
            pagination_module_1.PaginationModule,
            sftp_module_1.SftpModule,
            slack_module_1.SlackModule,
            telegram_bot_module_1.TelegramBotModule,
            global_configuration_module_1.GlobalConfigurationModule,
            auth_module_1.AuthModule,
            permissions_module_1.PermissionsModule,
            roles_module_1.RolesModule,
            companies_module_1.CompaniesModule,
            users_module_1.UsersModule,
            excel_module_1.ExcelModule,
        ],
    })
], OteosBackendLibModule);
exports.OteosBackendLibModule = OteosBackendLibModule;
//# sourceMappingURL=oteos-backend-lib.module.js.map