"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationService = void 0;
const common_1 = require("@nestjs/common");
const oteos_backend_constants_1 = require("../common/oteos-backend.constants");
let PaginationService = class PaginationService {
    constructor() { }
    async getTotalPagesValue(totalItems, items) {
        if (!items || items.length == 0)
            return;
        let totalPages = -1;
        try {
            totalPages = items.length / totalItems;
            if (totalPages.toString().includes('.')) {
                totalPages = Math.floor(totalPages);
                totalPages = totalPages + 1;
            }
        }
        catch (error) {
        }
        return totalPages;
    }
    async controlDefaultPaginationValues(page, totalItemsPage) {
        if (page && page <= 0) {
            page = 1;
        }
        if (!totalItemsPage || totalItemsPage <= 0) {
            totalItemsPage = oteos_backend_constants_1.TOTAL_ITEMS_PAGE;
        }
        let result = [page, totalItemsPage];
        return result;
    }
    async getSkipValue(page, totalItemsPage) {
        let skip = 0;
        if (page > 1 && page) {
            skip = (page - 1) * totalItemsPage;
        }
        return skip;
    }
    async controlIfCurrentPageIsGreaterThanLastPage(page, totalPages) {
        if (page > totalPages && page && totalPages) {
            page = totalPages;
        }
        return page;
    }
};
PaginationService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [])
], PaginationService);
exports.PaginationService = PaginationService;
//# sourceMappingURL=pagination.service.js.map