import { SlackConfig } from './slack-config';
export declare class SlackService {
    private options;
    static appChannel: string;
    constructor(options: SlackConfig);
    private createBot;
    private checkType;
    private getTypeIcon;
    private formatText;
    messageToChannel(channel: string, text: string, type?: string): Promise<void>;
    messageToUser(user: string, text: string, type: string): Promise<void>;
    messageOtherSlackBot(user: string, text: string, type: string): Promise<void>;
    messagePrivateGroup(channel: string, text: string, type: string): Promise<void>;
}
