"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelegramBotService = void 0;
const common_1 = require("@nestjs/common");
const nestjs_telegram_1 = require("nestjs-telegram");
let TelegramBotService = class TelegramBotService {
    constructor(telegram) {
        this.telegram = telegram;
    }
    sendMessage(chatId, text) {
        const params = {
            chat_id: chatId,
            text
        };
        this.telegram.sendMessage(params).subscribe((result) => {
            if (result) {
                console.log("[Telegram] [sendMessage] Mensaje enviado correctamente");
            }
            else {
                console.log("[Telegram] [sendMessage] No se envio el mensaje");
            }
        }, (error) => {
            console.error("[Telegram] [sendMessage] ", error);
        });
    }
};
TelegramBotService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [nestjs_telegram_1.TelegramService])
], TelegramBotService);
exports.TelegramBotService = TelegramBotService;
//# sourceMappingURL=telegram-bot.service.js.map